> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Single Subscription Payment

> Fetch details of a specific payment associated with a subscription reference ID.



## OpenAPI

````yaml get /api/v2/subscriptions/{subReferenceId}/payments/{paymentId}
openapi: 3.0.0
info:
  title: Cashfree Subscription API
  description: >-
    Create and manage subscriptions and collect recurring payments from
    customers easily with Cashfree Subscriptions.
  version: v2
servers:
  - url: https://sandbox.cashfree.com
    description: Sandbox server
  - url: https://api.cashfree.com
    description: Production server
security: []
externalDocs:
  url: https://docs.cashfree.com/reference/postman-collection-1
  description: This url will have the information of all the APIs.
paths:
  /api/v2/subscriptions/{subReferenceId}/payments/{paymentId}:
    get:
      tags:
        - Subscription
      summary: Fetch Single Subscription Payment
      description: >-
        Fetch details of a specific payment associated with a subscription
        reference ID.
      operationId: fetchSingleSubscriptionPayment
      parameters:
        - name: X-Client-Id
          in: header
          required: true
          schema:
            type: string
            description: Client ID provided by Cashfree.
            example: asdf1234
        - name: X-Client-Secret
          in: header
          required: true
          schema:
            type: string
            description: Client Secret provided by Cashfree.
            example: qwer9876
        - name: subReferenceId
          in: path
          required: true
          schema:
            type: integer
            description: The reference ID of the subscription.
            example: 2568045
        - name: paymentId
          in: path
          required: true
          schema:
            type: integer
            description: The payment ID whose details are to be fetched.
            example: 3027869
      responses:
        '200':
          description: Successful retrieval of the payment details.
          content:
            application/json:
              examples:
                Fetch Single Subscription Payment Success:
                  value:
                    status: OK
                    message: Subscription Payment
                    payment:
                      paymentId: 2276563
                      referenceId: 214308920
                      cfOrderId: 236286405
                      orderId: ORD_24534
                      subReferenceId: 5513463
                      currency: INR
                      amount: 250
                      cycle: 5
                      status: INITIALIZED
                      remarks: null
                      scheduledOn: '2021-09-13'
                      addedOn: '2021-09-09 11:05:19'
                      retryAttempts: 0
                      failureReason: null
                      merchantTxnId: null
                      splitDetails:
                        scheme:
                          - merchantVendorId: test-vendor-1
                            percentage: 10
                          - merchantVendorId: test-vendor-2
                            percentage: 10
        '400':
          description: >-
            Bad request due to invalid parameters or missing required
            information.
          content:
            application/json:
              examples:
                Invalid Parameters:
                  value:
                    status: ERROR
                    subCode: '400'
                    message: Invalid parameters provided
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: Status of the API call.
                    example: ERROR
                  message:
                    type: string
                    description: Error message.
                    example: Server encountered an unexpected condition.

````